- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QNetworkCookie Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qnetworkcookie.h.

`#include <qnetworkcookie.h>`

List of all members.

## Public Types
enum | RawForm { NameAndValueOnly, Full }
## Public Member Functions
| QNetworkCookie (const QByteArray &name=QByteArray(), const QByteArray &value=QByteArray())
| QNetworkCookie (const QNetworkCookie &other)
| ~QNetworkCookie ()
QNetworkCookie & | operator= (const QNetworkCookie &other)
bool | operator== (const QNetworkCookie &other) const
bool | operator!= (const QNetworkCookie &other) const
bool | isSecure () const
void | setSecure (bool enable)
bool | isHttpOnly () const
void | setHttpOnly (bool enable)
bool | isSessionCookie () const
QDateTime | expirationDate () const
void | setExpirationDate (const QDateTime &date)
QString | domain () const
void | setDomain (const QString &domain)
QString | path () const
void | setPath (const QString &path)
QByteArray | name () const
void | setName (const QByteArray &cookieName)
QByteArray | value () const
void | setValue (const QByteArray &value)
QByteArray | toRawForm (RawForm form=Full) const
## Static Public Member Functions
static QList< QNetworkCookie > | parseCookies (const QByteArray &cookieString)
## Friends
class | QNetworkCookiePrivate

## Member Enumeration Documentation

enum RawForm

Search for all occurrences

Enumerator:

  NameAndValueOnly | Search for all occurrences
  Full | Search for all occurrences

Definition at line 65 of file qnetworkcookie.h.

                     {
            NameAndValueOnly,
            Full
        };

## Constructor & Destructor Documentation

QNetworkCookie | ( | const QByteArray & | name = `QByteArray()`,
|  | const QByteArray & | value = `QByteArray()`
| ) |  |

QNetworkCookie | ( | const QNetworkCookie & | other | ) |

~QNetworkCookie | ( |  | ) |

## Member Function Documentation

QNetworkCookie& operator= | ( | const QNetworkCookie & | other | ) |

bool operator== | ( | const QNetworkCookie & | other | ) | const

bool operator!= | ( | const QNetworkCookie & | other | ) | const `[inline]`

Definition at line 75 of file qnetworkcookie.h.

        { return !(*this == other); }

bool isSecure | ( |  | ) | const

Search for all occurrences

void setSecure | ( | bool | enable | ) |

Search for all occurrences

bool isHttpOnly | ( |  | ) | const

Search for all occurrences

void setHttpOnly | ( | bool | enable | ) |

Search for all occurrences

bool isSessionCookie | ( |  | ) | const

Search for all occurrences

QDateTime expirationDate | ( |  | ) | const

Search for all occurrences

void setExpirationDate | ( | const QDateTime & | date | ) |

Search for all occurrences

QString domain | ( |  | ) | const

Search for all occurrences

void setDomain | ( | const QString & | domain | ) |

Search for all occurrences

QString path | ( |  | ) | const

Search for all occurrences

void setPath | ( | const QString & | path | ) |

Search for all occurrences

QByteArray name | ( |  | ) | const

Search for all occurrences

void setName | ( | const QByteArray & | cookieName | ) |

Search for all occurrences

QByteArray value | ( |  | ) | const

Search for all occurrences

void setValue | ( | const QByteArray & | value | ) |

Search for all occurrences

QByteArray toRawForm | ( | RawForm | form = `Full` | ) | const

Search for all occurrences

static QList<QNetworkCookie> parseCookies | ( | const QByteArray & | cookieString | ) | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QNetworkCookiePrivate `[friend]`

Search for all occurrences

Definition at line 105 of file qnetworkcookie.h.

The documentation for this class was generated from the following file:

- QtNetwork/qnetworkcookie.h

QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie
QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie QNetworkCookie